Analytics
Get magic link contacts
Lists the contacts who clicked one magic link over a time range. Use analytics.magicLinkStats for aggregate counts instead.
GET
/
v1
/
analytics
/
magic-links
/
contacts
Get magic link contacts
curl --request GET \
--url https://app.chatbotx.io/api/v1/analytics/magic-links/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/analytics/magic-links/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/analytics/magic-links/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"contactId": "<string>",
"contactInboxId": "<string>",
"sourceId": "<string>",
"channel": "<string>",
"conversationId": "<string>",
"occurredAt": "<string>"
}
],
"total": 123,
"page": 123,
"pageCount": 123
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Magic link or ref link id.
ISO 8601 start of the time range (inclusive).
ISO 8601 end of the time range (exclusive).
IANA timezone used to bucket results, e.g. America/New_York.
Page number, starting at 1.
Required range:
1 <= x <= 9007199254740991Number of items per page, up to 50.
Required range:
1 <= x <= 50Was this page helpful?
⌘I
Get magic link contacts
